# Function createVAA

- createVAA<PL>(payloadLiteral, vaaData): VAA<PL>

- #### Type Parameters

  - #### PL extends PayloadLiteral

  #### Parameters

  - ##### payloadLiteral: PL

  - ##### vaaData: layout.LayoutToType<StartFilterItemsOfLayout<[{
    binary: "uint";
    custom: 1;
    name: "version";
    omit: true;
    size: 1;
    }, {
    binary: "uint";
    name: "guardianSet";
    size: 4;
    }, {
    binary: "array";
    layout: readonly [{
    binary: "uint";
    name: "guardianIndex";
    size: 1;
    }, {
    binary: "bytes";
    custom: {
    from: ((val) => Uint8Array);
    to: ((val) => Signature);
    };
    name: "signature";
    size: 65;
    }];
    lengthSize: 1;
    name: "signatures";
    }, {
    binary: "uint";
    name: "timestamp";
    size: 4;
    }], false>>

  #### Returns VAA<PL>

  - Defined in definitions/src/vaa/create.ts:33

Generated using TypeDoc